RPMUNCOMPRESS(1)

BEZEICHNUNG
rpmuncompress - RPM-Dienstprogramm für komprimierte Dateien und Archive

ÜBERSICHT
rpmuncompress [Optionen] DATEI

rpmuncompress [Optionen] [Optionen-zum-Entpacken] {-x|--extract} ARCHIV

BESCHREIBUNG
rpmuncompress ist ein Dienstprogramm zur transparenten Ausgabe komprimierter und unkomprimierter Dateien und zum Entpacken von Archiven.

Es wird normalerweise intern von rpmbuild(1) aufgerufen, um %setup- und %patch-bezogene Aufgaben in Spec-Dateien auszuführen, kann aber auch manuell aufgerufen nützlich sein. Das Installationsverzeichnis von rpmuncompress kann mit rpm -E "%{_rpmconfigdir}" ermittelt werden.

ARGUMENTE
DATEI
    Eine reguläre Datei, die optional komprimiert sein kann.

ARCHIV
    Ein Archiv der Formate tar(1), zip(1) oder Ruby GEM. tar-Archive dürfen hierbei komprimiert sein.

AKTIONEN
Standardmäßig schreibt rpmuncompress die DATEI ähnlich wie cat(1) in die Standardausgabe, dekomprimiert aber viele gängige Komprimierungsformate transparent, ähnlich wie zcat(1).

-x, --extract
    entpackt das als Argument übergebene ARCHIV in das aktuelle Verzeichnis, wobei tar(1)-Archive, falls nötig, transparent dekomprimiert werden.

OPTIONEN
-n, --dry-run
    gibt den Shell-Befehl aus, der ohne diese Option tatsächlich ausgeführt werden würde.

OPTIONEN ZUM ENTPACKEN
-C PFAD, --path=PFAD
    entpackt in den angegebenen PFAD, ungeachtet der internen Struktur des Archivs.

-v, --verbose
    stellt ausführliche Ausgaben beim Entpacken bereit.

EXIT-STATUS
Bei Erfolg wird 0 zurückgegeben, anderenfalls ein Fehlercode ungleich Null.

BEISPIELE
rpmuncompress /tmp/3911.patch.gz | patch -p1
    Dekomprimiert /tmp/3911.patch.gz und gibt das Ergebnis aus, ähnlich wie zcat(1), und leitet es an patch(1) weiter.

rpmuncompress -x meinprojekt.zip
    Entpackt das Archiv meinprojekt.zip in das aktuelle Verzeichnis.

rpmuncompress -x -C meinprojekt meinprojekt-1.0.7rc1.tar.gz
    Dekomprimiert und entpackt das Archiv meinprojekt-1.0.7rc1.tar.gz in das Verzeichnis meinprojekt, ungeachtet der internen Struktur des Archivs.

SIEHE AUCH
rpmbuild(1), popt(3)

http://www.rpm.org/

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).